<?xml version="1.0" encoding="windows-1253"?>
<records>
   <q10_d>
        <npstd>0</npstd>
        <np05>0</np05>
        <npstdc>0</npstdc>
        <np01>Πωλήσεις Ειδών Σε περίοδο                                                                                                                                                                               </np01>
        <np02>i01_kin   </np02>
        <np03>_v0_d5    </np03>
        <nvp02>Κινήσεις Ειδών (Ολες - Εισαγωγές - Εξαγωγές)</nvp02>
        <np30><![CDATA[SELECT i01_kin.p01 AS fld0000001, 
i00.name AS fld0000003, 
sum(i01_kin.posex) AS fld0000005
FROM i01_kin
LEFT JOIN i00 ON i01_kin.p01=i00.pno

WHERE  (i01_kin.p01 >='{code1}' && i01_kin.p01 <='{code2}' && i01_kin.p013 >='{dt1}' && i01_kin.p013 <='{dt2}' && i01_kin.diak ='0' && i01_kin.p014 regexp'^30a*') 
GROUP BY i01_kin.p01 ASC ]]></np30>
        <np31><![CDATA[/*****************************************
   εκτελεί την διαμορφωμένη 
   εντολή με δυνατότητα τροποποίησης 
   στο where
*****************************************/
SELECT * 
FROM 
( 
   {def_sql} 
) as t1 
WHERE t1.fld0000005<>0
ORDER BY t1.fld0000001
]]></np31>
        <np32>Εμφανίζει τις ποσότητες που πουλήθηκαν ανά είδος στην περίοδο που δίνετε και για τα είδη που δίνετε. 

Υπάρχει και γραμμική εκτύπωση για την εμφάνιση του αποτελέσματος. 

</np32>
        <np04>5</np04>
        <nvp04>Παραγωγή</nvp04>
        <np06>.f.</np06>
        <np33></np33>
        <np34></np34>
   </q10_d>
   <trans1>
         <t_p01>I00</t_p01>
         <t_p02>i01_kin.P01=I00.PNO</t_p02>
         <t_vp01>Αποθήκη</t_vp01>
         <t_p03>0</t_p03>
         <t_p04></t_p04>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans1>
   <trans2>
         <t_p01>Κωδικός Είδους</t_p01>
         <t_p02>i01_kin.p01</t_p02>
         <t_p03>fld0000001</t_p03>
         <t_p05>1</t_p05>
         <t_p06>C</t_p06>
         <t_p07>14</t_p07>
         <t_p08>0</t_p08>
         <t_p010>.f.</t_p010>
         <t_p011>.f.</t_p011>
         <t_p012>.f.</t_p012>
         <t_p013>.f.</t_p013>
         <t_p014>.f.</t_p014>
         <t_p020>.f.</t_p020>
         <t_p021>.f.</t_p021>
         <t_p022>.f.</t_p022>
         <t_p023>.f.</t_p023>
         <t_p024></t_p024>
         <t_p025></t_p025>
         <t_p026>.f.</t_p026>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans2>
   <trans2>
         <t_p01>Περιγραφή</t_p01>
         <t_p02>i00.name</t_p02>
         <t_p03>fld0000003</t_p03>
         <t_p05>3</t_p05>
         <t_p06>C</t_p06>
         <t_p07>40</t_p07>
         <t_p08>0</t_p08>
         <t_p010>.f.</t_p010>
         <t_p011>.f.</t_p011>
         <t_p012>.f.</t_p012>
         <t_p013>.f.</t_p013>
         <t_p014>.f.</t_p014>
         <t_p020>.f.</t_p020>
         <t_p021>.f.</t_p021>
         <t_p022>.f.</t_p022>
         <t_p023>.f.</t_p023>
         <t_p024></t_p024>
         <t_p025></t_p025>
         <t_p026>.f.</t_p026>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans2>
   <trans2>
         <t_p01>Σύνολο Ποσότητα Εξαγωγών</t_p01>
         <t_p02>Sum(i01_kin.posex)</t_p02>
         <t_p03>fld0000005</t_p03>
         <t_p05>5</t_p05>
         <t_p06>n</t_p06>
         <t_p07>14</t_p07>
         <t_p08>5</t_p08>
         <t_p010>.f.</t_p010>
         <t_p011>.f.</t_p011>
         <t_p012>.f.</t_p012>
         <t_p013>.f.</t_p013>
         <t_p014>.f.</t_p014>
         <t_p020>.f.</t_p020>
         <t_p021>.f.</t_p021>
         <t_p022>.f.</t_p022>
         <t_p023>.f.</t_p023>
         <t_p024></t_p024>
         <t_p025></t_p025>
         <t_p026>.f.</t_p026>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans2>
   <trans4>
         <t_p01>Κωδικός Είδους</t_p01>
         <t_p02>i01_kin.p01</t_p02>
         <t_p03>1</t_p03>
         <t_p05>1</t_p05>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans4>
   <trans5>
         <t_p01>Κωδικός Από</t_p01>
         <t_p02>code1</t_p02>
         <t_p03>C</t_p03>
         <t_p05>1</t_p05>
         <t_p06></t_p06>
         <t_p07>I00</t_p07>
         <t_p08>pno</t_p08>
         <t_p09>name</t_p09>
         <t_p010></t_p010>
         <t_p011></t_p011>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans5>
   <trans5>
         <t_p01>Κωδικός Εώς</t_p01>
         <t_p02>code2</t_p02>
         <t_p03>C</t_p03>
         <t_p05>3</t_p05>
         <t_p06>ωωωωωωωωωωω</t_p06>
         <t_p07>I00</t_p07>
         <t_p08>pno</t_p08>
         <t_p09>name</t_p09>
         <t_p010></t_p010>
         <t_p011></t_p011>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans5>
   <trans5>
         <t_p01>Ημερομηνία Από</t_p01>
         <t_p02>dt1</t_p02>
         <t_p03>D</t_p03>
         <t_p05>5</t_p05>
         <t_p06></t_p06>
         <t_p07></t_p07>
         <t_p08></t_p08>
         <t_p09></t_p09>
         <t_p010></t_p010>
         <t_p011></t_p011>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans5>
   <trans5>
         <t_p01>Ημερομηνία Εώς</t_p01>
         <t_p02>dt2</t_p02>
         <t_p03>D</t_p03>
         <t_p05>7</t_p05>
         <t_p06></t_p06>
         <t_p07></t_p07>
         <t_p08></t_p08>
         <t_p09></t_p09>
         <t_p010></t_p010>
         <t_p011></t_p011>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans5>
   <trans6>
         <t_p01>i01_kin.p01</t_p01>
         <t_p02>>=</t_p02>
         <t_p03>{code1}</t_p03>
         <t_p05>1</t_p05>
         <t_p04>C</t_p04>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans6>
   <trans6>
         <t_p01>i01_kin.p01</t_p01>
         <t_p02><![CDATA[<=        ]]></t_p02>
         <t_p03>{code2}</t_p03>
         <t_p05>3</t_p05>
         <t_p04>C</t_p04>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans6>
   <trans6>
         <t_p01>i01_kin.p013</t_p01>
         <t_p02>>=</t_p02>
         <t_p03>{dt1}</t_p03>
         <t_p05>5</t_p05>
         <t_p04>D</t_p04>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans6>
   <trans6>
         <t_p01>i01_kin.p013</t_p01>
         <t_p02><![CDATA[<=        ]]></t_p02>
         <t_p03>{dt2}</t_p03>
         <t_p05>7</t_p05>
         <t_p04>D</t_p04>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans6>
   <trans6>
         <t_p01>i01_kin.diak</t_p01>
         <t_p02>=</t_p02>
         <t_p03>0</t_p03>
         <t_p05>9</t_p05>
         <t_p04>N</t_p04>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans6>
   <trans6>
         <t_p01>i01_kin.p014</t_p01>
         <t_p02>Regexp</t_p02>
         <t_p03>30</t_p03>
         <t_p05>11</t_p05>
         <t_p04>C</t_p04>
         <remtime>11:02:12</remtime>
         <remdate>01/07/2019</remdate>
         <remuser>tesae</remuser>
         <remftime></remftime>
         <remfdate>  /  /</remfdate>
         <remfuser></remfuser>
         <remguc></remguc>
         <remchan>.t.</remchan>
   </trans6>
</records>
